Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

PasswordBasedKeyDerivationFunction Member List
This is the complete list of members for PasswordBasedKeyDerivationFunction, including all inherited members.

DeriveKey(byte *derived, size_t derivedLen, byte purpose, const byte *password, size_t passwordLen, const byte *salt, size_t saltLen, unsigned int iterations, double timeInSeconds=0) const =0 | PasswordBasedKeyDerivationFunction | `[pure virtual]`
MaxDerivedKeyLength() const =0 (defined in PasswordBasedKeyDerivationFunction) | PasswordBasedKeyDerivationFunction | `[pure virtual]`
UsesPurposeByte() const =0 (defined in PasswordBasedKeyDerivationFunction) | PasswordBasedKeyDerivationFunction | `[pure virtual]`